Comment 8 for bug 598659

Would it be possible in the gentoo build to remove the extra --enalbe options and only use --with instead?

should be possible! I'll give it a spin and let you know...